Subject: Transaction Agreement w/Master
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Thu, 16 Nov 2000 07:52:00 -0800 (PST)

Mike,
 The transaction agreement (2000-90crfm.doc) still needs to be finalized by 
including the missing information to be added in the blanks as well as 
finalization of the price to be applicable.  The contract documents should be 
in final form and ready for signature.  Please review both documents and let 
me have your comments. If the documents meet with your approval, please 
forward to Ami Beard for her review.   I will be in the office all day 
tomorrow.